Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.util
Class DOMBuilderContentHandlerFactory

    java.lang.Object
      org.apache.fop.util.DOMBuilderContentHandlerFactory

All Implemented Interfaces:
  ContentHandlerFactory

public class DOMBuilderContentHandlerFactory
extends java.lang.Object
implements ContentHandlerFactory

ContentHandlerFactory which constructs ContentHandlers that build DOM Documents.

Nested Class Summary

Nested classes inherited from class org.apache.fop.util.ContentHandlerFactory
`ContentHandlerFactory.ObjectBuiltListener, ContentHandlerFactory.ObjectSource`

Constructor Summary
`DOMBuilderContentHandlerFactory(java.lang.String namespaceURI, org.w3c.dom.DOMImplementation domImplementation)` Main Constructor

Method Summary
`org.xml.sax.ContentHandler` | `createContentHandler()`
`java.lang.String[]` | `getSupportedNamespaces()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DOMBuilderContentHandlerFactory

    public DOMBuilderContentHandlerFactory(java.lang.String namespaceURI,
                                           org.w3c.dom.DOMImplementation domImplementation)

  Main Constructor

Parameters:
  `namespaceURI` - the main namespace URI for the DOM to be parsed
  `domImplementation` - the DOMImplementation to use for build the DOM

Method Detail

### getSupportedNamespaces

    public java.lang.String[] getSupportedNamespaces()

  Specified by:
    `getSupportedNamespaces` in interface `ContentHandlerFactory`
  Returns:
    an array of supported namespaces.

### createContentHandler

    public org.xml.sax.ContentHandler createContentHandler()
                                                    throws org.xml.sax.SAXException

  Specified by:
    `createContentHandler` in interface `ContentHandlerFactory`
  Returns:
    a new ContentHandler to handle a SAX stream
  Throws:
    `org.xml.sax.SAXException` - if there's an error while preparing the ContentHandler

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 1.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2010 The Apache Software Foundation. All Rights Reserved.